Bug 1106197 - perl-SDL: FTBFS in rawhide
Summary: perl-SDL: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SDL
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 03:55 UTC by Dennis Gilmore
Modified: 2014-06-17 21:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:29:16 UTC


Attachments (Terms of Use)
build.log (119.15 KB, text/plain)
2014-06-09 03:55 UTC, Dennis Gilmore
no flags Details
root.log (109.07 KB, text/plain)
2014-06-09 03:55 UTC, Dennis Gilmore
no flags Details
state.log (1.07 KB, text/plain)
2014-06-09 03:55 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2014-06-09 03:55:33 UTC
Your package perl-SDL failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6956705

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 03:55:36 UTC
Created attachment 904157 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 03:55:38 UTC
Created attachment 904158 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 03:55:40 UTC
Created attachment 904159 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-12 20:02:22 UTC
FTBFS because some tests failed, but only on i686:

t/gfx_imagefilter.t ............. Failed 7/8 subtests 

The x86_64 task in the same build did succeed, however.  SDL_gfx itself, which this test relies upon, uses MMX code only on ix86.  I tried perl-SDL again using a mock build of SDL_gfx with an unconditional --disable-mmx and the testsuite passed.

So, ultimately this is an issue with SDL_gfx, or possibly even with GCC; the easiest workaround for the sake of the rebuild is to disable MMX even on ix86 in the former.

Comment 5 Yaakov Selkowitz 2014-06-12 20:05:57 UTC
CCing SDL_gfx owner.

Comment 6 Hans de Goede 2014-06-13 08:24:54 UTC
Hi Yaakov,

Matthias (the SDL_gfx owner) lately does not have much time to take care of his Fedora packages, so allow me to jump in here. It seems that upstream has a new SDL_gfx release with rewritten mmx support (which now also supports x86_64), so before we use the bigger hammer and disable mmx altogether lets first try that.

I've just started a rawhide build of the new SDL_gfx and as soon as that is finished I'll start rebuilding deps including SDL_gfx. Hopefully that will resolve this FTBFS bug.

Regards,

Hans

Comment 7 Hans de Goede 2014-06-13 10:04:14 UTC
Hmm, this seems to build fine on x86_64 and i686 now, but the test suite hangs on ARM. Once the ARM build has timed out, I'll go and disable the test which causes it to hang on ARM for now.

Comment 8 Hans de Goede 2014-06-13 11:29:16 UTC
With the one test for the obscure  sdlx_controller_interface disabled, it builds fine on ARM too.

I've send a mail to the arm list in case one of the arm guys wants to take a look.


Note You need to log in before you can comment on or make changes to this bug.